PutTxt "--- SetPRDebug ---"
# Note:
# setting debug on will force a flush to stderr and stdout after each output,
# slowing down your computer
SetPRDebug -off

PutTxt "PR Debug is [GetPRDebug]"

#source "D:/Tcl_bin/lib/tcl8.0/init.tcl"

set date_sample "1965-09-15"
set hour_sample "0:15"
set place_longitude "0h1' E"
set place_longitude_degrees "0d15' E"
set place_latitude  "48d0 N"
set city_name "Le Mans"
set county_name "Sarthe"
set country_name "France"
set name "Régnier"
set first_name "Patrick"
set sex "M"

for {set cpt 0} {$cpt<100} {incr cpt} {
ComputeHoroscope -datehourUT $date_sample $hour_sample -place_longitude $place_longitude -place_latitude $place_latitude -city_name $city_name -county_name $county_name -country_name $country_name -name $name -first_name $first_name -sex $sex 
}

PutTxt ""
PutTxt "---------------------"
PutTxt "Current horoscope= [GetCurrentHoroscopeNumber]"
PutTxt "---------------------"
PutTxt ""


PutTxt "--- Name ---"
PutTxt [Name]

PutTxt "--- FirstName ---"
PutTxt [FirstName]

PutTxt "--- Sex ---"
PutTxt [Sex]


PutTxt "--- BirthCounty ---"
PutTxt [BirthCounty]

PutTxt "--- BirthCity ---"
PutTxt [BirthCity]

PutTxt "--- BirthTZ ---"
PutTxt [BirthTZ]

PutTxt "--- BirthState ---"
PutTxt [BirthState]

PutTxt "--- BirthCountry ---"
PutTxt [BirthCountry]

PutTxt "--- BirthDateHourUT ---"
PutTxt [BirthDateHourUT]


PutTxt "--- Fixed (Hindu) longitude of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Longitude of [NameOfPlanet $i] is [FixLongOfPlanet $i ] = [LongOfPlanet $i -fix] = [FormatSignLongitude [LongOfPlanet $i -fix] ]"
}

PutTxt "--- Movable (Occidental) longitudes of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Longitude of [NameOfPlanet $i] is [MovLongOfPlanet $i ] = [LongOfPlanet $i -mov] "
}


PutTxt "--- Fixed sign of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  PutTxt " [NameOfPlanet $i] [FixSignOccupiedByPlanet $i] = [SignOfPlanet $i -fix -rasi] ([NameOfSign [SignOfPlanet $i -fix -rasi] ])    Navamsa sign is [NameOfSign [SignOfPlanet $i -nav -fix]]"
}

PutTxt "--- SignOfPoint ---"

for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  set long_point [LongOfPlanet $i -fix]
  PutTxt "Sign of planet [NameOfPlanet $i] [NameOfSign [SignOfPlanet $i -rasi -fix]] = [NameOfSign [SignOfPoint $long_point]]"
}


PutTxt "--- Movable sign of planets ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
  PutTxt " [NameOfPlanet $i] [MovSignOccupiedByPlanet $i] = [SignOfPlanet $i -rasi -mov] ([NameOfSign [SignOfPlanet $i -rasi -mov] ]) "
}


PutTxt "--- Sign of houses ---"
for {set i 1} {$i < 13} {incr i} {
PutTxt "Fixed sign of house $i is [NameOfSign [SignOfHouse $i -fix -rasi -shsd]], movable sign is [NameOfSign [SignOfHouse $i -rasi -mov -shsd]]  "
}

PutTxt "--- Navamsas signs of houses ---"
for {set i 1} {$i < 13} {incr i} {
PutTxt "Navamsa sign of house (shsd) $i is [NameOfSign [SignOfHouse $i -fix -nav -shsd]] and (shod) [NameOfSign [SignOfHouse $i -fix -nav -shod]]"
}


PutTxt "--- Planets in houses, house and sign same direction ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet $i ]=[HouseOfPlanet $i -rasi -shsd]"
 } 
}

PutTxt "--- Planets in houses, house and sign in opposite directions (Dorsan method) ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet2 $i ]=[HouseOfPlanet $i -rasi -shod]"
 }
}

PutTxt "--- Planets in houses shsd, longitude of house being the center of the house ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet -center $i ]=[HouseOfPlanet $i -rasi -center -shsd]"
 }
}

PutTxt "--- Planets in house, Dorsan method, longitude of house is center of house ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] [HouseOccupiedByPlanet2 -center $i ]=[HouseOfPlanet $i -rasi -center -shod]"
}
}

PutTxt "--- House of planet, navamsa shsd ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] =[HouseOfPlanet $i -nav -shsd]"
}
}

PutTxt "--- House of planet, navamsa sign and planet in opposite direction ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 if {($i != 7) && ($i != 8)} {
  PutTxt "[NameOfPlanet $i] =[HouseOfPlanet $i -nav -shod]"
 }
}

PutTxt "--- House of point, sign and planet in same direction rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 set lp [LongOfPlanet $i -fix]
 PutTxt "[NameOfPlanet $i] =[HouseOfPoint $lp -shsd -fix -rasi]"
}

PutTxt "--- House of point, sign and planet in opposite direction rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 set lp [LongOfPlanet $i -fix]
 PutTxt "[NameOfPlanet $i] =[HouseOfPoint $lp -shod -fix -rasi]"
}

PutTxt "--- House of point, sign and planet in opposite direction navamsa ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 set lp [expr [SignOfPlanet $i -fix -nav]*30 + 15]
 PutTxt "[NameOfPlanet $i] =[HouseOfPoint $lp -shod -fix -nav]"
}



PutTxt "--- Lord of signs ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11} {
 PutTxt "First Lord of sign [NameOfSign $i ] is [NameOfPlanet [LordOfSign $i ] ]"

set temp_lord [LordOfSign $i -second]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfSign $i ] is [NameOfPlanet $temp_lord]"
 }
 

}

PutTxt "--- Lord of planets mov rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Lord of planet [NameOfPlanet $i ] is [NameOfPlanet [LordOfPlanet $i -mov -rasi] ]"

set temp_lord [LordOfPlanet $i -second -mov -rasi ]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfPlanet $i ] is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of planets fix rasi ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Lord of planet [NameOfPlanet $i ] is [NameOfPlanet [LordOfPlanet $i -fix -rasi] ]"

set temp_lord [LordOfPlanet $i -second -fix -rasi]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfPlanet $i ] is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of planets nav ---"
for {set i 0} {$i < [GetPlanetCount]} {incr i} {
 PutTxt "Lord of planet [NameOfPlanet $i ] is [NameOfPlanet [LordOfPlanet $i -nav -fix] ]"

set temp_lord [LordOfPlanet $i -second -nav -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of [NameOfPlanet $i ] is [NameOfPlanet $temp_lord]"
 }
 
}


PutTxt "--- Lord of houses, in fixed zodiac, house and sign same direction ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [FixLordOfHouse $i ] ] = [NameOfPlanet [LordOfHouse $i -shsd -rasi -fix] ]"
 
set temp_lord [LordOfHouse $i -shsd -second -rasi -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of houses, in Navamsas, house and sign same direction ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [LordOfHouse $i -shsd -nav -fix] ]"
 
set temp_lord [LordOfHouse $i -shsd -second -nav -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of houses, in Navamsas, house and sign opposite direction ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [LordOfHouse $i -shod -nav -fix] ]"
 
set temp_lord [LordOfHouse $i -shod -second -nav -fix]
	
if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}


PutTxt "--- Lord of house, in fixed zodiac, Dorsan method, rasi  ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "Lord of house $i is [NameOfPlanet [FixLordOfHouse2 $i ] ] = [NameOfPlanet [LordOfHouse $i -shod -rasi -fix] ]"
 
set temp_lord [LordOfHouse $i -second -rasi -fix -shod]

if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }

}


PutTxt "--- Lord of houses, in movable zodiac, house and sign same direction, rasi ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "First Lord of house $i is [NameOfPlanet [MovLordOfHouse $i ] ] = [NameOfPlanet [LordOfHouse $i -mov -shsd -rasi] ]"
 
set temp_lord [LordOfHouse $i -mov -shsd -second -rasi]

if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }
 
}

PutTxt "--- Lord of house, in movable zodiac, Dorsan method ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt "Lord of house $i is [NameOfPlanet [MovLordOfHouse2 $i ] ] = [NameOfPlanet [LordOfHouse $i -mov -shod -rasi] ]"
 
set temp_lord [LordOfHouse $i -mov -second -shod -rasi]

if {$temp_lord > 0} {
  PutTxt "Second Lord of house $i is [NameOfPlanet $temp_lord]"
 }

}


PutTxt "--- Fixed longitude of houses, s.z.s.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt "[FixLongOfHouse $i]=[LongOfHouse $i -shsd -fix -rasi]"
}

PutTxt "--- Fixed longitude of houses s.z.o.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt "[FixLongOfHouse2 $i]=[LongOfHouse $i -shod -fix -rasi ]"
}

PutTxt "--- Movable longitude of houses, s.z.s.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt [MovLongOfHouse $i]=[LongOfHouse $i -mov -shsd -rasi]
}

PutTxt "--- Movable longitude of houses, s.z.o.d. ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12 } {
  PutTxt [LongOfHouse $i -mov -shod -rasi]
}


PutTxt "--- Subdivisions ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt "Subdivision of [NameOfPlanet $i]"
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12} {
  PutTxt -nonewline "[NameOfSub $j]=[FixSubOfPlanet $j $i] " 
  }
  PutTxt ""
}

PutTxt "--- Latitudes of planets ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt [LatOfPlanet $i -mov]
}

PutTxt "--- retrograde planets  ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt "[NameOfPlanet $i] = [PlanetIsRetro $i]"
}

PutTxt "--- Heliocentric longitudes ---"
foreach {i} {2 3 4 5 6 11 12 13} {
 PutTxt "[NameOfPlanet $i] = [HelioLong $i -mov]"
}

PutTxt "--- Heliocentric latitudes ---"
foreach {i} {2 3 4 5 6 11 12 13} {
 PutTxt " Helio Latitude of [NameOfPlanet $i] = [HelioLat $i -mov] "
}

PutTxt "--- Ayanamsa ---"
PutTxt [Ayanamsa]

PutTxt "--- Zero julian day et ---"
PutTxt [ZeroJDET]

PutTxt "--- Type of house division ---"
PutTxt [TypeOfHouse]
PutTxt [TypeOfHouse -name]

PutTxt "--- Sun rise ---"
PutTxt [SunRiseUT]

PutTxt "--- Sun set ---"
PutTxt [SunSetUT]

PutTxt "--- Julian Day ---"
PutTxt [DateUT2JD $date_sample $hour_sample ]
PutTxt [DateUT2JD -ET $date_sample $hour_sample]

PutTxt "--- Strength of planets ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt [StrengthOfPlanet $i]
}

PutTxt "--- KalaBala of planets"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 PutTxt "[NameOfPlanet $i] = [GetKalaBala $i]"
}


PutTxt "---Strength of houses ---"
foreach {i} {1 2 3 4 5 6 7 8 9 10 11 12} {
 PutTxt [StrengthOfHouse $i]
}

PutTxt "--- FirstNewMoonUT ---"
PutTxt [FirstNewMoonUT]

PutTxt "--- IsFirstNewMoonEclipse ---"
PutTxt [IsFirstNewMoonEclipse]

PutTxt "--- FirstQuarterUT ---"
PutTxt [FirstQuarterUT]

PutTxt "--- FullMoonUT ---"
PutTxt [FullMoonUT]

PutTxt "--- IsFullMoonEclipse ---"
PutTxt [IsFullMoonEclipse]

PutTxt "--- LastQuarterUT ---"
PutTxt [LastQuarterUT]

PutTxt "--- SecondNewMoonUT ---"
PutTxt [SecondNewMoonUT]

PutTxt "--- IsSecondNewMoonEclipse ---"
PutTxt [IsSecondNewMoonEclipse]

PutTxt "--- Moon day ---"
PutTxt [MoonDay]

PutTxt "--- Year lord ---"
PutTxt [NameOfPlanet [YearLord]]

PutTxt "--- Month lord ---"
PutTxt [NameOfPlanet [MonthLord]]

PutTxt "--- Day lord ---"
PutTxt [NameOfPlanet [DayLord]]

PutTxt "--- Hour lord ---"
PutTxt [NameOfPlanet [HourLord]]

PutTxt "--- get angle between 0° and 360° ---"
PutTxt [ToZ360 721.0]
PutTxt [ToZ360 -362]

PutTxt "--- Find out if a planet is aspected by an other one in rasi. (first in the aspected planet) ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  # i is the aspected planet, j is the aspecting planet
  PutTxt  -nonewline [HAspectedBy $i $j -rasi]
 }
  PutTxt ""
}

PutTxt "--- Find out if a planet is aspected by an other one in navamsa. (first in the aspected planet) ---"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  # i is the aspected planet, j is the aspecting planet
  PutTxt  -nonewline [HAspectedBy $i $j -nav]
 }
  PutTxt ""
}

PutTxt "--- Friendship between planets rasi ----"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  PutTxt  -nonewline [HFriendShip $i $j -rasi]
  PutTxt  -nonewline " "
 }
 PutTxt ""
}

PutTxt "--- Friendship between planets navamsa ----"
foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
 foreach {j} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  PutTxt -nonewline [HFriendShip $i $j -nav]
  PutTxt -nonewline " "
 }
 PutTxt ""
}

PutTxt "--- Array of bindus before and after reduction ----"
foreach {i} { 0 1 2 3 4 5 6 7 8 9 10 11 } {
 foreach {j} { 0 1 2 3 4 5 6 } {
  PutTxt  -nonewline [NumberOfBindus $i $j -BR]
  PutTxt  -nonewline " "
  PutTxt  -nonewline [NumberOfBindus $i $j -AR]
  PutTxt  -nonewline " "
 }
 PutTxt ""
}

PutTxt "--- Stars conjunction with planet 1° orb ----"
foreach {i} { 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 } {
 set id_star [StarConjunctionWith $i 1]
 
 if { $id_star > 0 } {
   PutTxt "[NameOfPlanet $i] conjunction with [NameOfStar [IdStar2Num $id_star]]"
 } else {
   PutTxt "No star cunjunction for [NameOfPlanet $i] "
   }
 
}

PutTxt "--- Quality of planets in crosschecking ---"
for {set i 0} {$i < 15} {incr i} {
 for {set j 0} {$j < 16} {incr j} {
  PutTxt  -nonewline [HQualityOfPlanet $i $j]
  PutTxt  -nonewline " "
 }
 PutTxt " "
}

PutTxt "---- Quality of aspect in rasi and navamsa --- "
for {set i 0} {$i < 15} {incr i} {
 for {set j 0} {$j < 15} {incr j} {
 set quality_rasi [HQualityOfAspect $i $j 7]
 set quality_navamsa [HQualityOfAspect $i $j 15]

  if {$quality_rasi != 99} {
   PutTxt "[NameOfPlanet $j] -> [NameOfPlanet $i] rasi = $quality_rasi"
  }

  if {$quality_navamsa != 99} {
   PutTxt "[NameOfPlanet $j] -> [NameOfPlanet $i] navamsa = $quality_navamsa"
  }

 }
}

PutTxt "--- LongitudeOfBirthPlace ----"
PutTxt [LongitudeOfBirthPlace]
PutTxt [LongitudeOfBirthPlace -degrees]
PutTxt [LongitudeOfBirthPlace -noformat]
PutTxt [LongitudeOfBirthPlace -degrees -noformat]

PutTxt "--- LatitudeOfBirthPlace ----"
PutTxt [LatitudeOfBirthPlace]
PutTxt [LatitudeOfBirthPlace -noformat]

PutTxt "--- Degrees to Radians ---"
PutTxt [D2R 360.0]

PutTxt "--- Radians to Degrees ---"
PutTxt [R2D 3.141592654]

PutTxt "---Mean Sun RA Speed rads ---"
PutTxt [MeanRASunSpeed]

PutTxt "---Mean Sun RA Speed degs ---"
set val [MeanRASunSpeed]
PutTxt [ R2D $val ]

PutTxt "--- BirthDateHourUT ---"
PutTxt [BirthDateHourUT]

PutTxt "--- EpsilonAngle ---"

PutTxt [EpsilonAngleEOD]
PutTxt [EpsilonAngleEOD -date $date_sample $hour_sample ]

PutTxt "--- SiderealTime ---"
PutTxt [SiderealTime]
PutTxt [SiderealTime $date_sample $hour_sample -place_longitude $place_longitude]
PutTxt [SiderealTime $date_sample $hour_sample -place_longitude $place_longitude_degrees]

set var_longitude  [LongitudeOfBirthPlace]
set var_birthdatehour [BirthDateHourUT]
set var_ts [SiderealTime $var_birthdatehour  -place_longitude $var_longitude ]
PutTxt "sidereal time in radians = $var_ts"

set var_ts [R2D $var_ts]
set var_ts [expr $var_ts/15.0]
PutTxt "sidereal time in hours = $var_ts"

set var_longitude  [LongitudeOfBirthPlace -degrees]
set var_ts [SiderealTime $var_birthdatehour -place_longitude $var_longitude]

PutTxt "sidereal time in radians = $var_ts"

set var_ts [R2D $var_ts]
set var_ts [expr $var_ts/15.0]
PutTxt "sidereal time in hours = $var_ts"

PutTxt "---- direction Sun to Venus ---"

set longitude_sun [MovLongOfPlanet 0 ]
# translate to radians
set longitude_sun [D2R $longitude_sun]
# sun latitude is always zero
set latitude_sun 0

set longitude_venus [MovLongOfPlanet 3 ]
# translate to radians
set longitude_venus [D2R $longitude_venus]
set latitude_venus [LatOfPlanet 3 -mov]
# translate to radians
set latitude_venus [D2R $latitude_venus]

set place_latitude [LatitudeOfBirthPlace -noformat]
# translate to radians
set place_latitude [D2R $place_latitude]

set ts [SiderealTime]
set epsilon [EpsilonAngleEOD]
set msras [MeanRASunSpeed]

# debug output
PutTxt "Sun longitude = $longitude_sun"
PutTxt "Sun latitude  = $latitude_sun"
PutTxt "Venus longitude = $longitude_venus"
PutTxt "Venus latitude = $latitude_venus"
PutTxt "Place latitude = $place_latitude"
PutTxt "Sidereal Time  = $ts"
PutTxt "epsilon = $epsilon"
PutTxt "Mean Sun Speed RA = $msras"

# call PrimaryDirection command

set age [PrimaryDirection $longitude_sun $latitude_sun $longitude_venus $latitude_venus $place_latitude $ts $epsilon $msras]
PutTxt "Direction Sun to Venus at $age year old"

#------test direction for 2 planets A and B, A and B identified by their number-----

set npA 2
set npB 5

PutTxt "--- test direction [NameOfPlanet $npA] to [NameOfPlanet $npB] ---"

#--longitude and latitude of A
set longitudeA [MovLongOfPlanet $npA ]
# translate to radians
set longitudeA [D2R $longitudeA]

set latitudeA  [LatOfPlanet $npA -mov]
# translate to radians
set latitudeA [D2R $latitudeA]

#--longitude and latitude of B
set longitudeB [MovLongOfPlanet $npB ]
# translate to radians
set longitudeB [D2R $longitudeB]

set latitudeB  [LatOfPlanet $npB -mov]
# translate to radians
set latitudeB [D2R $latitudeB]

set place_latitude [LatitudeOfBirthPlace -noformat]
# translate to radians
set place_latitude [D2R $place_latitude]

set ts [SiderealTime]
set epsilon [EpsilonAngleEOD]
# zero to ignore sun ar correction
set msras 0

# debug output
PutTxt "longitude of [NameOfPlanet $npA]= $longitudeA"
PutTxt "latitude  of [NameOfPlanet $npA]= $latitudeA"
PutTxt "longitude of [NameOfPlanet $npB]= $longitudeB"
PutTxt "latitude  of [NameOfPlanet $npB]= $latitudeB"
PutTxt "Place latitude = $place_latitude"
PutTxt "Sidereal Time  = $ts"
PutTxt "epsilon = $epsilon"

# call PrimaryDirection command

set age [PrimaryDirection $longitudeA $latitudeA $longitudeB $latitudeB $place_latitude $ts $epsilon $msras]
PutTxt "Direction [NameOfPlanet $npA] to [NameOfPlanet $npB] at $age year old"

PutTxt "-------Altitude and elevation of planets-------"
for {set i 0} {$i < 15} {incr i} {

PutTxt "[NameOfPlanet $i]: Altitude = [AzimuthElevationOfPlanet $i -elevation] Azimuth = [AzimuthElevationOfPlanet $i -azimuth]"

}


#--- MovLordOfHouse  
PutTxt "--------------- Lords of Movable houses, sign and house same direction ----------------"

 for {set i 1} {$i<=12} {incr i} {
 
 PutTxt "Lord of House $i is [ NameOfPlanet [MovLordOfHouse $i] ]"
 
 }


#--- MovLordOfHouse2  
PutTxt "-------------- Lords of Movable houses, sign and house opposite direction ---------------"

for {set i 1} {$i<=12} {incr i} {
 
 PutTxt "Lord of House $i is [ NameOfPlanet [MovLordOfHouse2 $i] ]"
 
 }


SetCurrentHoroscope -nh 1

PutTxt "Name for Horoscope [GetCurrentHoroscopeNumber] = [Name]"

PutTxt "Total=[GetHoroscopeCount] horoscope"



